# Trait lock_api::RawRwLockDowngrade [−] [src]

    pub unsafe trait RawRwLockDowngrade: RawRwLock {
        unsafe fn downgrade(&self);
    }

Additional methods for RwLocks which support atomically downgrading an exclusive lock to a shared lock.

## Required methods

### `unsafe fn downgrade(&self)` [src]

Atomically downgrades an exclusive lock into a shared lock without allowing any thread to take an exclusive lock in the meantime.

# Safety

This method may only be called if an exclusive lock is held in the current context.

Loading content...

## Implementors

Loading content...